Package org.eclipse.viatra.query.runtime.matchers.aggregators

## Enum ExtremumOperator.Extreme

- java.lang.Object
- - java.lang.Enum<ExtremumOperator.Extreme>
  - - org.eclipse.viatra.query.runtime.matchers.aggregators.ExtremumOperator.Extreme

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ExtremumOperator.Extreme>`
  Enclosing class:
    ExtremumOperator<T extends java.lang.Comparable<T>>

      public static enum ExtremumOperator.Extreme
      extends java.lang.Enum<ExtremumOperator.Extreme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAX` |
    `MIN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `pickFrom​(java.util.SortedMap<T,​java.lang.Integer> nonEmptyMultiSet)` |
    `static ExtremumOperator.Extreme` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ExtremumOperator.Extreme[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final ExtremumOperator.Extreme MIN

    - #### MAX

          public static final ExtremumOperator.Extreme MAX

  - ### Method Detail

    - #### values

          public static ExtremumOperator.Extreme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtremumOperator.Extreme c : ExtremumOperator.Extreme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtremumOperator.Extreme valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### pickFrom

          public <T> T pickFrom​(java.util.SortedMap<T,​java.lang.Integer> nonEmptyMultiSet)

      Since:
        2.0